FC2カウンター FPGAの部屋 2020年05月24日
FC2ブログ

FPGAやCPLDの話題やFPGA用のツールの話題などです。 マニアックです。 日記も書きます。

FPGAの部屋

FPGAの部屋の有用と思われるコンテンツのまとめサイトを作りました。Xilinx ISEの初心者の方には、FPGAリテラシーおよびチュートリアルのページをお勧めいたします。

finn をやってみる1(インストール)

Xilinx 社の GitHub の finn をやってみることにした。finn は Xilinx Research Labs の実験的なフレームワークで、FPGA を使用した DNN の推論を研究している。特に、各ネットワーク用にカスタマイズされたデータフロースタイルのアーキテクチャの生成に重点を置いて、量子化ニューラルネットワークを対象としているようだ。
finn は Docker を使用してインストールを行う。Docker のインストールが必要だ。”Ubuntu 18.04 に Docker CE をインストールする”を参照のこと。なお FPGA の部屋のDocker カテゴリの Web サイトも参照されたい。
また finn のマニュアルもある。

まずは finn リポジトリを git clone した。
git clone https://github.com/Xilinx/finn.git

VIVADO_PATH 環境変数を設定するのを忘れていたが、設定する。
export VIVADO_PATH=/media/masaaki/Ubuntu_Disk/tools/Xilinx/Vivado/2019.2

Docker を走らせて finn のインストールを行う。
sh run-docker.sh
finn_2_200522.png

finn_3_200522.png

インストールできた。

finn のマニュアル の Getting Started を見ると Jupyter Notebook を走らせることもできるようだ。早速走らせてみよう。
sh run-docker.sh notebook
finn_4_200522.png

finn_5_200522.png

自分のパソコンで走る Chrome に

http://127.0.0.1:8888/?token=fd26d65a80b527eed0e8f7f97d9835d9f6b8f1f5fea6b84c

を入力したところ、Jupyter Notebook が起動した。
finn_6_200522.png

最初の
sh run-docker.sh
の時のログを貼っておく。

masaaki@masaaki-H110M4-M01:/media/masaaki/Ubuntu_Disk/Xilinx_github/finn$ sh run-docker.sh 
Please set the PYNQ_IP env.var. to enable PYNQ deployment tests.
Instance is named as finn_dev_masaaki
Mounting /tmp/finn_dev_masaaki into /tmp/finn_dev_masaaki
Mounting /media/masaaki/Ubuntu_Disk/tools/Xilinx/Vivado/2019.2 into /media/masaaki/Ubuntu_Disk/tools/Xilinx/Vivado/2019.2
Port-forwarding for Jupyter 8888:8888
Port-forwarding for Netron 8081:8081
Vivado IP cache dir is at /tmp/finn_dev_masaaki/vivado_ip_cache
Using default PYNQ board Pynq-Z1
Running container only
Sending build context to Docker daemon    124MB
Step 1/57 : FROM pytorch/pytorch:1.1.0-cuda10.0-cudnn7.5-devel
1.1.0-cuda10.0-cudnn7.5-devel: Pulling from pytorch/pytorch
34667c7e4631: Pull complete 
d18d76a881a4: Pull complete 
119c7358fbfc: Pull complete 
2aaf13f3eff0: Pull complete 
643564d518c8: Pull complete 
1fea03e629a4: Pull complete 
45402f4cf61d: Pull complete 
86f75b2a221d: Pull complete 
bed75fe8e483: Pull complete 
6c2a711c6f0a: Pull complete 
0cebfcdacfee: Pull complete 
854b430e64dc: Pull complete 
c4f1bf920b70: Pull complete 
bdec02fc8c62: Pull complete 
4f99990b1c4a: Pull complete 
2ec3348b7aee: Pull complete 
Digest: sha256:9e0bdb425f3dde6dfd54e3486f7927d2f56b015c53ca1e24d994865a8393cf8b
Status: Downloaded newer image for pytorch/pytorch:1.1.0-cuda10.0-cudnn7.5-devel
 ---> 1be771bff6d1
Step 2/57 : MAINTAINER Yaman Umuroglu <yamanu@xilinx.com>
 ---> Running in 7348979c41ab
Removing intermediate container 7348979c41ab
 ---> c2fe37ac0c0d
Step 3/57 : ARG PYTHON_VERSION=3.6
 ---> Running in fbc33c1d7e70
Removing intermediate container fbc33c1d7e70
 ---> c5419d73de61
Step 4/57 : ARG GID
 ---> Running in e523d2deac0d
Removing intermediate container e523d2deac0d
 ---> 5db65ef27949
Step 5/57 : ARG GNAME
 ---> Running in 40b1f3a77ad2
Removing intermediate container 40b1f3a77ad2
 ---> 1010057a99ea
Step 6/57 : ARG UNAME
 ---> Running in eaff575742e9
Removing intermediate container eaff575742e9
 ---> ecebd047af53
Step 7/57 : ARG UID
 ---> Running in b6919b1b6112
Removing intermediate container b6919b1b6112
 ---> a9954d55477c
Step 8/57 : ARG PASSWD
 ---> Running in f0a4b12f8d1f
Removing intermediate container f0a4b12f8d1f
 ---> f5e546e5f990
Step 9/57 : ARG JUPYTER_PORT
 ---> Running in 5b7ab2a7a7d1
Removing intermediate container 5b7ab2a7a7d1
 ---> 26e15d0141f3
Step 10/57 : ARG NETRON_PORT
 ---> Running in 24d104bc364c
Removing intermediate container 24d104bc364c
 ---> fbec7f863323
Step 11/57 : EXPOSE $JUPYTER_PORT
 ---> Running in e39ce2458031
Removing intermediate container e39ce2458031
 ---> 52db95ecd395
Step 12/57 : EXPOSE $NETRON_PORT
 ---> Running in cd3d98eb1e4b
Removing intermediate container cd3d98eb1e4b
 ---> 3cc715e23f81
Step 13/57 : WORKDIR /workspace
 ---> Running in 803190d38d4b
Removing intermediate container 803190d38d4b
 ---> 489d59bb8f30
Step 14/57 : RUN apt-get update
 ---> Running in ac524215b950
Get:1 http://archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Ign:3 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  InRelease
Ign:4 https://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1604/x86_64  InRelease
Get:5 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  Release [564 B]
Get:6 https://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1604/x86_64  Release [564 B]
Get:7 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  Release.gpg [819 B]
Get:8 https://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1604/x86_64  Release.gpg [833 B]
Get:9 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  Packages [254 kB]
Get:10 https://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1604/x86_64  Packages [81.5 kB]
Get:11 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [1115 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1558 kB]
Get:15 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [12.7 kB]
Get:16 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [627 kB]
Get:17 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [6677 B]
Get:18 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [14.1 kB]
Get:19 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [9827 kB]
Get:20 http://archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [176 kB]
Get:21 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [1482 kB]
Get:22 http://archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [13.1 kB]
Get:23 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [1031 kB]
Get:24 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [19.7 kB]
Get:25 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [7942 B]
Get:26 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [8807 B]
Fetched 16.8 MB in 5s (3149 kB/s)
Reading package lists...
Removing intermediate container ac524215b950
 ---> b24a6dd6d8f6
Step 15/57 : RUN apt-get -y upgrade
 ---> Running in 5ea3c30f002a
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages have been kept back:
  libcudnn7 libcudnn7-dev libnccl-dev libnccl2
The following packages will be upgraded:
  apt apt-transport-https base-files bash bsdutils bzip2 cpp-5
  cuda-compat-10-0 cuda-nvjpeg-10-0 cuda-nvjpeg-dev-10-0 curl debconf dpkg
  dpkg-dev e2fslibs e2fsprogs g++-5 gcc-5 gcc-5-base git git-man libapparmor1
  libapt-pkg5.0 libasan2 libatomic1 libblkid1 libbz2-1.0 libcc1-0 libcilkrts5
  libcomerr2 libcurl3-gnutls libdb5.3 libdpkg-perl libexpat1 libfdisk1
  libgcc-5-dev libgcrypt20 libgnutls30 libgomp1 libitm1 libjpeg-turbo8
  libjpeg-turbo8-dev libldap-2.4-2 liblsan0 libmount1 libmpx0 libprocps4
  libquadmath0 libsasl2-2 libsasl2-modules-db libseccomp2 libsmartcols1
  libsqlite3-0 libss2 libstdc++-5-dev libstdc++6 libsystemd0 libtsan0
  libubsan0 libudev1 libuuid1 linux-libc-dev login mount passwd patch procps
  systemd systemd-sysv util-linux zlib1g zlib1g-dev
72 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 60.2 MB of archives.
After this operation, 7083 kB of additional disk space will be used.
Get:1 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  cuda-compat-10-0 410.129-1 [6466 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 base-files amd64 9.4ubuntu4.11 [67.5 kB]
Get:3 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  cuda-nvjpeg-10-0 10.0.130.1-1 [1302 kB]
Get:4 https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64  cuda-nvjpeg-dev-10-0 10.0.130.1-1 [1086 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 bash amd64 4.3-14ubuntu1.4 [583 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 bsdutils amd64 1:2.27.1-6ubuntu3.10 [50.6 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 dpkg amd64 1.18.4ubuntu1.6 [2085 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 e2fslibs amd64 1.42.13-1ubuntu1.2 [188 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 e2fsprogs amd64 1.42.13-1ubuntu1.2 [770 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 login amd64 1:4.2-3.1ubuntu5.4 [304 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 util-linux amd64 2.27.1-6ubuntu3.10 [849 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 mount amd64 2.27.1-6ubuntu3.10 [121 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 bzip2 amd64 1.0.6-8ubuntu0.2 [32.5 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libbz2-1.0 amd64 1.0.6-8ubuntu0.2 [30.7 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libquadmath0 amd64 5.4.0-6ubuntu1~16.04.12 [131 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgomp1 amd64 5.4.0-6ubuntu1~16.04.12 [55.2 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libitm1 amd64 5.4.0-6ubuntu1~16.04.12 [27.4 kB]
Get:18 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libatomic1 amd64 5.4.0-6ubuntu1~16.04.12 [8892 B]
Get:19 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libasan2 amd64 5.4.0-6ubuntu1~16.04.12 [265 kB]
Get:20 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 liblsan0 amd64 5.4.0-6ubuntu1~16.04.12 [105 kB]
Get:21 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libtsan0 amd64 5.4.0-6ubuntu1~16.04.12 [244 kB]
Get:22 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libubsan0 amd64 5.4.0-6ubuntu1~16.04.12 [95.3 kB]
Get:23 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcilkrts5 amd64 5.4.0-6ubuntu1~16.04.12 [40.0 kB]
Get:24 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmpx0 amd64 5.4.0-6ubuntu1~16.04.12 [9762 B]
Get:25 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 zlib1g-dev amd64 1:1.2.8.dfsg-2ubuntu4.3 [167 kB]
Get:26 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 zlib1g amd64 1:1.2.8.dfsg-2ubuntu4.3 [51.2 kB]
Get:27 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 g++-5 amd64 5.4.0-6ubuntu1~16.04.12 [8430 kB]
Get:28 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 gcc-5 amd64 5.4.0-6ubuntu1~16.04.12 [8612 kB]
Get:29 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 cpp-5 amd64 5.4.0-6ubuntu1~16.04.12 [7783 kB]
Get:30 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcc1-0 amd64 5.4.0-6ubuntu1~16.04.12 [38.8 kB]
Get:31 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libstdc++-5-dev amd64 5.4.0-6ubuntu1~16.04.12 [1428 kB]
Get:32 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgcc-5-dev amd64 5.4.0-6ubuntu1~16.04.12 [2239 kB]
Get:33 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 gcc-5-base amd64 5.4.0-6ubuntu1~16.04.12 [17.4 kB]
Get:34 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libstdc++6 amd64 5.4.0-6ubuntu1~16.04.12 [393 kB]
Get:35 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libapparmor1 amd64 2.10.95-0ubuntu2.11 [29.5 kB]
Get:36 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 passwd amd64 1:4.2-3.1ubuntu5.4 [780 kB]
Get:37 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libuuid1 amd64 2.27.1-6ubuntu3.10 [14.5 kB]
Get:38 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libblkid1 amd64 2.27.1-6ubuntu3.10 [107 kB]
Get:39 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmount1 amd64 2.27.1-6ubuntu3.10 [114 kB]
Get:40 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libseccomp2 amd64 2.4.1-0ubuntu0.16.04.2 [38.5 kB]
Get:41 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsystemd0 amd64 229-4ubuntu21.28 [206 kB]
Get:42 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 systemd amd64 229-4ubuntu21.28 [3639 kB]
Get:43 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libapt-pkg5.0 amd64 1.2.32ubuntu0.1 [713 kB]
Get:44 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apt amd64 1.2.32ubuntu0.1 [1087 kB]
Get:45 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 debconf all 1.5.58ubuntu2 [136 kB]
Get:46 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 systemd-sysv amd64 229-4ubuntu21.28 [12.3 kB]
Get:47 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libjpeg-turbo8-dev amd64 1.4.2-0ubuntu3.3 [255 kB]
Get:48 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libjpeg-turbo8 amd64 1.4.2-0ubuntu3.3 [111 kB]
Get:49 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcomerr2 amd64 1.42.13-1ubuntu1.2 [65.8 kB]
Get:50 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libdb5.3 amd64 5.3.28-11ubuntu0.2 [670 kB]
Get:51 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libfdisk1 amd64 2.27.1-6ubuntu3.10 [138 kB]
Get:52 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgcrypt20 amd64 1.6.5-2ubuntu0.6 [336 kB]
Get:53 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsmartcols1 amd64 2.27.1-6ubuntu3.10 [62.1 kB]
Get:54 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libss2 amd64 1.42.13-1ubuntu1.2 [70.2 kB]
Get:55 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libudev1 amd64 229-4ubuntu21.28 [54.8 kB]
Get:56 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libprocps4 amd64 2:3.3.10-4ubuntu2.5 [32.9 kB]
Get:57 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 procps amd64 2:3.3.10-4ubuntu2.5 [222 kB]
Get:58 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libexpat1 amd64 2.1.0-7ubuntu0.16.04.5 [71.5 kB]
Get:59 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgnutls30 amd64 3.4.10-4ubuntu1.7 [548 kB]
Get:60 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsqlite3-0 amd64 3.11.0-1ubuntu1.4 [398 kB]
Get:61 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 curl amd64 7.47.0-1ubuntu2.14 [139 kB]
Get:62 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsasl2-modules-db amd64 2.1.26.dfsg1-14ubuntu0.2 [14.5 kB]
Get:63 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libsasl2-2 amd64 2.1.26.dfsg1-14ubuntu0.2 [48.7 kB]
Get:64 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libldap-2.4-2 amd64 2.4.42+dfsg-2ubuntu3.8 [159 kB]
Get:65 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcurl3-gnutls amd64 7.47.0-1ubuntu2.14 [184 kB]
Get:66 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 apt-transport-https amd64 1.2.32ubuntu0.1 [26.7 kB]
Get:67 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 dpkg-dev all 1.18.4ubuntu1.6 [584 kB]
Get:68 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libdpkg-perl all 1.18.4ubuntu1.6 [195 kB]
Get:69 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 patch amd64 2.7.5-1ubuntu0.16.04.2 [90.8 kB]
Get:70 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 git-man all 1:2.7.4-0ubuntu1.9 [736 kB]
Get:71 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 git amd64 1:2.7.4-0ubuntu1.9 [3176 kB]
Get:72 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 linux-libc-dev amd64 4.4.0-179.209 [859 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 60.2 MB in 9s (6034 kB/s)
(Reading database ... 12586 files and directories currently installed.)
Preparing to unpack .../base-files_9.4ubuntu4.11_amd64.deb ...
Unpacking base-files (9.4ubuntu4.11) over (9.4ubuntu4.8) ...
Setting up base-files (9.4ubuntu4.11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../bash_4.3-14ubuntu1.4_amd64.deb ...
Unpacking bash (4.3-14ubuntu1.4) over (4.3-14ubuntu1.2) ...
Setting up bash (4.3-14ubuntu1.4) ...
update-alternatives: using /usr/share/man/man7/bash-builtins.7.gz to provide /usr/share/man/man7/builtins.7.gz (builtins.7.gz) in auto mode
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../bsdutils_1%3a2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking bsdutils (1:2.27.1-6ubuntu3.10) over (1:2.27.1-6ubuntu3.6) ...
Setting up bsdutils (1:2.27.1-6ubuntu3.10) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../dpkg_1.18.4ubuntu1.6_amd64.deb ...
Unpacking dpkg (1.18.4ubuntu1.6) over (1.18.4ubuntu1.5) ...
Setting up dpkg (1.18.4ubuntu1.6) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../e2fslibs_1.42.13-1ubuntu1.2_amd64.deb ...
Unpacking e2fslibs:amd64 (1.42.13-1ubuntu1.2) over (1.42.13-1ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up e2fslibs:amd64 (1.42.13-1ubuntu1.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../e2fsprogs_1.42.13-1ubuntu1.2_amd64.deb ...
Unpacking e2fsprogs (1.42.13-1ubuntu1.2) over (1.42.13-1ubuntu1) ...
Setting up e2fsprogs (1.42.13-1ubuntu1.2) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../login_1%3a4.2-3.1ubuntu5.4_amd64.deb ...
Unpacking login (1:4.2-3.1ubuntu5.4) over (1:4.2-3.1ubuntu5.3) ...
Setting up login (1:4.2-3.1ubuntu5.4) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../util-linux_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking util-linux (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Setting up util-linux (2.27.1-6ubuntu3.10) ...
Installing new version of config file /etc/cron.weekly/fstrim ...
Processing triggers for systemd (229-4ubuntu21.16) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../mount_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking mount (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Setting up mount (2.27.1-6ubuntu3.10) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../bzip2_1.0.6-8ubuntu0.2_amd64.deb ...
Unpacking bzip2 (1.0.6-8ubuntu0.2) over (1.0.6-8) ...
Preparing to unpack .../libbz2-1.0_1.0.6-8ubuntu0.2_amd64.deb ...
Unpacking libbz2-1.0:amd64 (1.0.6-8ubuntu0.2) over (1.0.6-8) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libbz2-1.0:amd64 (1.0.6-8ubuntu0.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libquadmath0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libquadmath0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libgomp1_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libgomp1:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libitm1_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libitm1:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libatomic1_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libatomic1:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libasan2_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libasan2:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../liblsan0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking liblsan0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libtsan0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libtsan0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libubsan0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libubsan0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libcilkrts5_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libcilkrts5:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libmpx0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libmpx0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../zlib1g-dev_1%3a1.2.8.dfsg-2ubuntu4.3_amd64.deb ...
Unpacking zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4.3) over (1:1.2.8.dfsg-2ubuntu4.1) ...
Preparing to unpack .../zlib1g_1%3a1.2.8.dfsg-2ubuntu4.3_amd64.deb ...
Unpacking zlib1g:amd64 (1:1.2.8.dfsg-2ubuntu4.3) over (1:1.2.8.dfsg-2ubuntu4.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up zlib1g:amd64 (1:1.2.8.dfsg-2ubuntu4.3) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../g++-5_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking g++-5 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../gcc-5_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking gcc-5 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../cpp-5_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking cpp-5 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libcc1-0_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libcc1-0:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libstdc++-5-dev_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libstdc++-5-dev:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../libgcc-5-dev_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libgcc-5-dev:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Preparing to unpack .../gcc-5-base_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking gcc-5-base:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up gcc-5-base:amd64 (5.4.0-6ubuntu1~16.04.12) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libstdc++6_5.4.0-6ubuntu1~16.04.12_amd64.deb ...
Unpacking libstdc++6:amd64 (5.4.0-6ubuntu1~16.04.12) over (5.4.0-6ubuntu1~16.04.11) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libstdc++6:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libapparmor1_2.10.95-0ubuntu2.11_amd64.deb ...
Unpacking libapparmor1:amd64 (2.10.95-0ubuntu2.11) over (2.10.95-0ubuntu2.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libapparmor1:amd64 (2.10.95-0ubuntu2.11) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../passwd_1%3a4.2-3.1ubuntu5.4_amd64.deb ...
Unpacking passwd (1:4.2-3.1ubuntu5.4) over (1:4.2-3.1ubuntu5.3) ...
Setting up passwd (1:4.2-3.1ubuntu5.4) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libuuid1_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking libuuid1:amd64 (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libuuid1:amd64 (2.27.1-6ubuntu3.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libblkid1_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking libblkid1:amd64 (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libblkid1:amd64 (2.27.1-6ubuntu3.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libmount1_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking libmount1:amd64 (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libmount1:amd64 (2.27.1-6ubuntu3.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libseccomp2_2.4.1-0ubuntu0.16.04.2_amd64.deb ...
Unpacking libseccomp2:amd64 (2.4.1-0ubuntu0.16.04.2) over (2.3.1-2.1ubuntu2~16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libseccomp2:amd64 (2.4.1-0ubuntu0.16.04.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libsystemd0_229-4ubuntu21.28_amd64.deb ...
Unpacking libsystemd0:amd64 (229-4ubuntu21.28) over (229-4ubuntu21.16) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libsystemd0:amd64 (229-4ubuntu21.28) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../systemd_229-4ubuntu21.28_amd64.deb ...
Unpacking systemd (229-4ubuntu21.28) over (229-4ubuntu21.16) ...
Setting up systemd (229-4ubuntu21.28) ...
Initializing machine ID from random generator.
addgroup: The group `systemd-journal' already exists as a system group. Exiting.
Operation failed: No such file or directory
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../libapt-pkg5.0_1.2.32ubuntu0.1_amd64.deb ...
Unpacking libapt-pkg5.0:amd64 (1.2.32ubuntu0.1) over (1.2.29ubuntu0.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libapt-pkg5.0:amd64 (1.2.32ubuntu0.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12590 files and directories currently installed.)
Preparing to unpack .../apt_1.2.32ubuntu0.1_amd64.deb ...
Unpacking apt (1.2.32ubuntu0.1) over (1.2.29ubuntu0.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up apt (1.2.32ubuntu0.1) ...
Installing new version of config file /etc/apt/apt.conf.d/01autoremove ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../debconf_1.5.58ubuntu2_all.deb ...
Unpacking debconf (1.5.58ubuntu2) over (1.5.58ubuntu1) ...
Setting up debconf (1.5.58ubuntu2) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../systemd-sysv_229-4ubuntu21.28_amd64.deb ...
Unpacking systemd-sysv (229-4ubuntu21.28) over (229-4ubuntu21.16) ...
Setting up systemd-sysv (229-4ubuntu21.28) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libjpeg-turbo8-dev_1.4.2-0ubuntu3.3_amd64.deb ...
Unpacking libjpeg-turbo8-dev:amd64 (1.4.2-0ubuntu3.3) over (1.4.2-0ubuntu3.1) ...
Preparing to unpack .../libjpeg-turbo8_1.4.2-0ubuntu3.3_amd64.deb ...
Unpacking libjpeg-turbo8:amd64 (1.4.2-0ubuntu3.3) over (1.4.2-0ubuntu3.1) ...
Preparing to unpack .../libcomerr2_1.42.13-1ubuntu1.2_amd64.deb ...
Unpacking libcomerr2:amd64 (1.42.13-1ubuntu1.2) over (1.42.13-1ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libcomerr2:amd64 (1.42.13-1ubuntu1.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libdb5.3_5.3.28-11ubuntu0.2_amd64.deb ...
Unpacking libdb5.3:amd64 (5.3.28-11ubuntu0.2) over (5.3.28-11ubuntu0.1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libdb5.3:amd64 (5.3.28-11ubuntu0.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libfdisk1_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking libfdisk1:amd64 (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libfdisk1:amd64 (2.27.1-6ubuntu3.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libgcrypt20_1.6.5-2ubuntu0.6_amd64.deb ...
Unpacking libgcrypt20:amd64 (1.6.5-2ubuntu0.6) over (1.6.5-2ubuntu0.5) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libgcrypt20:amd64 (1.6.5-2ubuntu0.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libsmartcols1_2.27.1-6ubuntu3.10_amd64.deb ...
Unpacking libsmartcols1:amd64 (2.27.1-6ubuntu3.10) over (2.27.1-6ubuntu3.6) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libsmartcols1:amd64 (2.27.1-6ubuntu3.10) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libss2_1.42.13-1ubuntu1.2_amd64.deb ...
Unpacking libss2:amd64 (1.42.13-1ubuntu1.2) over (1.42.13-1ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libss2:amd64 (1.42.13-1ubuntu1.2) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libudev1_229-4ubuntu21.28_amd64.deb ...
Unpacking libudev1:amd64 (229-4ubuntu21.28) over (229-4ubuntu21.16) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libudev1:amd64 (229-4ubuntu21.28) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libprocps4_2%3a3.3.10-4ubuntu2.5_amd64.deb ...
Unpacking libprocps4:amd64 (2:3.3.10-4ubuntu2.5) over (2:3.3.10-4ubuntu2.4) ...
Preparing to unpack .../procps_2%3a3.3.10-4ubuntu2.5_amd64.deb ...
Unpacking procps (2:3.3.10-4ubuntu2.5) over (2:3.3.10-4ubuntu2.4) ...
Preparing to unpack .../libexpat1_2.1.0-7ubuntu0.16.04.5_amd64.deb ...
Unpacking libexpat1:amd64 (2.1.0-7ubuntu0.16.04.5) over (2.1.0-7ubuntu0.16.04.3) ...
Preparing to unpack .../libgnutls30_3.4.10-4ubuntu1.7_amd64.deb ...
Unpacking libgnutls30:amd64 (3.4.10-4ubuntu1.7) over (3.4.10-4ubuntu1.4) ...
Preparing to unpack .../libsqlite3-0_3.11.0-1ubuntu1.4_amd64.deb ...
Unpacking libsqlite3-0:amd64 (3.11.0-1ubuntu1.4) over (3.11.0-1ubuntu1.1) ...
Preparing to unpack .../curl_7.47.0-1ubuntu2.14_amd64.deb ...
Unpacking curl (7.47.0-1ubuntu2.14) over (7.47.0-1ubuntu2.12) ...
Preparing to unpack .../libsasl2-modules-db_2.1.26.dfsg1-14ubuntu0.2_amd64.deb ...
Unpacking libsasl2-modules-db:amd64 (2.1.26.dfsg1-14ubuntu0.2) over (2.1.26.dfsg1-14ubuntu0.1) ...
Preparing to unpack .../libsasl2-2_2.1.26.dfsg1-14ubuntu0.2_amd64.deb ...
Unpacking libsasl2-2:amd64 (2.1.26.dfsg1-14ubuntu0.2) over (2.1.26.dfsg1-14ubuntu0.1) ...
Preparing to unpack .../libldap-2.4-2_2.4.42+dfsg-2ubuntu3.8_amd64.deb ...
Unpacking libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.8) over (2.4.42+dfsg-2ubuntu3.4) ...
Preparing to unpack .../libcurl3-gnutls_7.47.0-1ubuntu2.14_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.14) over (7.47.0-1ubuntu2.12) ...
Preparing to unpack .../apt-transport-https_1.2.32ubuntu0.1_amd64.deb ...
Unpacking apt-transport-https (1.2.32ubuntu0.1) over (1.2.31) ...
Preparing to unpack .../cuda-compat-10-0_410.129-1_amd64.deb ...
Unpacking cuda-compat-10-0 (410.129-1) over (410.104-1) ...
Preparing to unpack .../cuda-nvjpeg-10-0_10.0.130.1-1_amd64.deb ...
Unpacking cuda-nvjpeg-10-0 (10.0.130.1-1) over (10.0.130-1) ...
Preparing to unpack .../cuda-nvjpeg-dev-10-0_10.0.130.1-1_amd64.deb ...
Unpacking cuda-nvjpeg-dev-10-0 (10.0.130.1-1) over (10.0.130-1) ...
Preparing to unpack .../dpkg-dev_1.18.4ubuntu1.6_all.deb ...
Unpacking dpkg-dev (1.18.4ubuntu1.6) over (1.18.4ubuntu1.5) ...
Preparing to unpack .../libdpkg-perl_1.18.4ubuntu1.6_all.deb ...
Unpacking libdpkg-perl (1.18.4ubuntu1.6) over (1.18.4ubuntu1.5) ...
Preparing to unpack .../patch_2.7.5-1ubuntu0.16.04.2_amd64.deb ...
Unpacking patch (2.7.5-1ubuntu0.16.04.2) over (2.7.5-1ubuntu0.16.04.1) ...
Preparing to unpack .../git-man_1%3a2.7.4-0ubuntu1.9_all.deb ...
Unpacking git-man (1:2.7.4-0ubuntu1.9) over (1:2.7.4-0ubuntu1.6) ...
Preparing to unpack .../git_1%3a2.7.4-0ubuntu1.9_amd64.deb ...
Unpacking git (1:2.7.4-0ubuntu1.9) over (1:2.7.4-0ubuntu1.6) ...
Preparing to unpack .../linux-libc-dev_4.4.0-179.209_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.4.0-179.209) over (4.4.0-145.171) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Processing triggers for systemd (229-4ubuntu21.28) ...
Setting up bzip2 (1.0.6-8ubuntu0.2) ...
Setting up libquadmath0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libgomp1:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libitm1:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libatomic1:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libasan2:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up liblsan0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libtsan0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libubsan0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libcilkrts5:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libmpx0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up zlib1g-dev:amd64 (1:1.2.8.dfsg-2ubuntu4.3) ...
Setting up cpp-5 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libcc1-0:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libgcc-5-dev:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up gcc-5 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libstdc++-5-dev:amd64 (5.4.0-6ubuntu1~16.04.12) ...
Setting up g++-5 (5.4.0-6ubuntu1~16.04.12) ...
Setting up libjpeg-turbo8:amd64 (1.4.2-0ubuntu3.3) ...
Setting up libjpeg-turbo8-dev:amd64 (1.4.2-0ubuntu3.3) ...
Setting up libprocps4:amd64 (2:3.3.10-4ubuntu2.5) ...
Setting up procps (2:3.3.10-4ubuntu2.5) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up libexpat1:amd64 (2.1.0-7ubuntu0.16.04.5) ...
Setting up libgnutls30:amd64 (3.4.10-4ubuntu1.7) ...
Setting up libsqlite3-0:amd64 (3.11.0-1ubuntu1.4) ...
Setting up libsasl2-modules-db:amd64 (2.1.26.dfsg1-14ubuntu0.2) ...
Setting up libsasl2-2:amd64 (2.1.26.dfsg1-14ubuntu0.2) ...
Setting up libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.8) ...
Setting up libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.14) ...
Setting up curl (7.47.0-1ubuntu2.14) ...
Setting up apt-transport-https (1.2.32ubuntu0.1) ...
Setting up cuda-compat-10-0 (410.129-1) ...
Setting up cuda-nvjpeg-10-0 (10.0.130.1-1) ...
Setting up cuda-nvjpeg-dev-10-0 (10.0.130.1-1) ...
Setting up libdpkg-perl (1.18.4ubuntu1.6) ...
Setting up patch (2.7.5-1ubuntu0.16.04.2) ...
Setting up dpkg-dev (1.18.4ubuntu1.6) ...
Setting up git-man (1:2.7.4-0ubuntu1.9) ...
Setting up git (1:2.7.4-0ubuntu1.9) ...
Setting up linux-libc-dev:amd64 (4.4.0-179.209) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Removing intermediate container 5ea3c30f002a
 ---> c2644d8c127c
Step 16/57 : RUN apt-get install -y build-essential libglib2.0-0 libsm6 libxext6 libxrender-dev
 ---> Running in f34a4831e2e6
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version (12.1ubuntu2).
The following additional packages will be installed:
  libglib2.0-data libice6 libicu55 libpthread-stubs0-dev libx11-6 libx11-data
  libx11-dev libx11-doc libxau-dev libxau6 libxcb1 libxcb1-dev libxdmcp-dev
  libxdmcp6 libxml2 libxrender1 sgml-base shared-mime-info x11-common
  x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-render-dev
  xdg-user-dirs xml-core xorg-sgml-doctools xtrans-dev
Suggested packages:
  libxcb-doc sgml-base-doc debhelper
The following NEW packages will be installed:
  libglib2.0-0 libglib2.0-data libice6 libicu55 libpthread-stubs0-dev libsm6
  libx11-6 libx11-data libx11-dev libx11-doc libxau-dev libxau6 libxcb1
  libxcb1-dev libxdmcp-dev libxdmcp6 libxext6 libxml2 libxrender-dev
  libxrender1 sgml-base shared-mime-info x11-common x11proto-core-dev
  x11proto-input-dev x11proto-kb-dev x11proto-render-dev xdg-user-dirs
  xml-core xorg-sgml-doctools xtrans-dev
0 upgraded, 31 newly installed, 0 to remove and 4 not upgraded.
Need to get 13.9 MB of archives.
After this operation, 61.2 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libglib2.0-0 amd64 2.48.2-0ubuntu4.6 [1120 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxau6 amd64 1:1.0.8-1 [8376 B]
Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxdmcp6 amd64 1:1.1.2-1.1 [11.0 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxcb1 amd64 1.11.1-1ubuntu1 [40.0 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-data all 2:1.6.3-1ubuntu2.1 [113 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-6 amd64 2:1.6.3-1ubuntu2.1 [570 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxext6 amd64 2:1.3.3-1 [29.4 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial/main amd64 sgml-base all 1.26+nmu4ubuntu1 [12.5 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 x11-common all 1:7.7+13ubuntu3.1 [22.9 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial/main amd64 libice6 amd64 2:1.0.9-1 [39.2 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsm6 amd64 2:1.2.2-1 [15.8 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libglib2.0-data all 2.48.2-0ubuntu4.6 [131 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libicu55 amd64 55.1-7ubuntu0.5 [7650 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libxml2 amd64 2.9.3+dfsg1-1ubuntu0.7 [698 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 shared-mime-info amd64 1.5-2ubuntu0.2 [405 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 xdg-user-dirs amd64 0.15-2ubuntu6.16.04.1 [61.8 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial/main amd64 xml-core all 0.13+nmu2 [23.3 kB]
Get:18 http://archive.ubuntu.com/ubuntu xenial/main amd64 libpthread-stubs0-dev amd64 0.3-4 [4068 B]
Get:19 http://archive.ubuntu.com/ubuntu xenial/main amd64 xorg-sgml-doctools all 1:1.11-1 [12.9 kB]
Get:20 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 x11proto-core-dev all 7.0.31-1~ubuntu16.04.2 [254 kB]
Get:21 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxau-dev amd64 1:1.0.8-1 [11.1 kB]
Get:22 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxdmcp-dev amd64 1:1.1.2-1.1 [25.1 kB]
Get:23 http://archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-input-dev all 2.3.1-1 [118 kB]
Get:24 http://archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-kb-dev all 1.0.7-0ubuntu1 [224 kB]
Get:25 http://archive.ubuntu.com/ubuntu xenial/main amd64 xtrans-dev all 1.3.5-1 [70.5 kB]
Get:26 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxcb1-dev amd64 1.11.1-1ubuntu1 [74.2 kB]
Get:27 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-dev amd64 2:1.6.3-1ubuntu2.1 [640 kB]
Get:28 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-doc all 2:1.6.3-1ubuntu2.1 [1470 kB]
Get:29 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxrender1 amd64 1:0.9.9-0ubuntu1 [18.5 kB]
Get:30 http://archive.ubuntu.com/ubuntu xenial/main amd64 x11proto-render-dev all 2:0.11.1-2 [20.1 kB]
Get:31 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxrender-dev amd64 1:0.9.9-0ubuntu1 [24.5 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 13.9 MB in 5s (2686 kB/s)
Selecting previously unselected package libglib2.0-0:amd64.
(Reading database ... 12599 files and directories currently installed.)
Preparing to unpack .../libglib2.0-0_2.48.2-0ubuntu4.6_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.48.2-0ubuntu4.6) ...
Selecting previously unselected package libxau6:amd64.
Preparing to unpack .../libxau6_1%3a1.0.8-1_amd64.deb ...
Unpacking libxau6:amd64 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp6:amd64.
Preparing to unpack .../libxdmcp6_1%3a1.1.2-1.1_amd64.deb ...
Unpacking libxdmcp6:amd64 (1:1.1.2-1.1) ...
Selecting previously unselected package libxcb1:amd64.
Preparing to unpack .../libxcb1_1.11.1-1ubuntu1_amd64.deb ...
Unpacking libxcb1:amd64 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libx11-data.
Preparing to unpack .../libx11-data_2%3a1.6.3-1ubuntu2.1_all.deb ...
Unpacking libx11-data (2:1.6.3-1ubuntu2.1) ...
Selecting previously unselected package libx11-6:amd64.
Preparing to unpack .../libx11-6_2%3a1.6.3-1ubuntu2.1_amd64.deb ...
Unpacking libx11-6:amd64 (2:1.6.3-1ubuntu2.1) ...
Selecting previously unselected package libxext6:amd64.
Preparing to unpack .../libxext6_2%3a1.3.3-1_amd64.deb ...
Unpacking libxext6:amd64 (2:1.3.3-1) ...
Selecting previously unselected package sgml-base.
Preparing to unpack .../sgml-base_1.26+nmu4ubuntu1_all.deb ...
Unpacking sgml-base (1.26+nmu4ubuntu1) ...
Selecting previously unselected package x11-common.
Preparing to unpack .../x11-common_1%3a7.7+13ubuntu3.1_all.deb ...
dpkg-query: no packages found matching nux-tools
Unpacking x11-common (1:7.7+13ubuntu3.1) ...
Selecting previously unselected package libice6:amd64.
Preparing to unpack .../libice6_2%3a1.0.9-1_amd64.deb ...
Unpacking libice6:amd64 (2:1.0.9-1) ...
Selecting previously unselected package libsm6:amd64.
Preparing to unpack .../libsm6_2%3a1.2.2-1_amd64.deb ...
Unpacking libsm6:amd64 (2:1.2.2-1) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../libglib2.0-data_2.48.2-0ubuntu4.6_all.deb ...
Unpacking libglib2.0-data (2.48.2-0ubuntu4.6) ...
Selecting previously unselected package libicu55:amd64.
Preparing to unpack .../libicu55_55.1-7ubuntu0.5_amd64.deb ...
Unpacking libicu55:amd64 (55.1-7ubuntu0.5) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../libxml2_2.9.3+dfsg1-1ubuntu0.7_amd64.deb ...
Unpacking libxml2:amd64 (2.9.3+dfsg1-1ubuntu0.7) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../shared-mime-info_1.5-2ubuntu0.2_amd64.deb ...
Unpacking shared-mime-info (1.5-2ubuntu0.2) ...
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack .../xdg-user-dirs_0.15-2ubuntu6.16.04.1_amd64.deb ...
Unpacking xdg-user-dirs (0.15-2ubuntu6.16.04.1) ...
Selecting previously unselected package xml-core.
Preparing to unpack .../xml-core_0.13+nmu2_all.deb ...
Unpacking xml-core (0.13+nmu2) ...
Selecting previously unselected package libpthread-stubs0-dev:amd64.
Preparing to unpack .../libpthread-stubs0-dev_0.3-4_amd64.deb ...
Unpacking libpthread-stubs0-dev:amd64 (0.3-4) ...
Selecting previously unselected package xorg-sgml-doctools.
Preparing to unpack .../xorg-sgml-doctools_1%3a1.11-1_all.deb ...
Unpacking xorg-sgml-doctools (1:1.11-1) ...
Selecting previously unselected package x11proto-core-dev.
Preparing to unpack .../x11proto-core-dev_7.0.31-1~ubuntu16.04.2_all.deb ...
Unpacking x11proto-core-dev (7.0.31-1~ubuntu16.04.2) ...
Selecting previously unselected package libxau-dev:amd64.
Preparing to unpack .../libxau-dev_1%3a1.0.8-1_amd64.deb ...
Unpacking libxau-dev:amd64 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp-dev:amd64.
Preparing to unpack .../libxdmcp-dev_1%3a1.1.2-1.1_amd64.deb ...
Unpacking libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
Selecting previously unselected package x11proto-input-dev.
Preparing to unpack .../x11proto-input-dev_2.3.1-1_all.deb ...
Unpacking x11proto-input-dev (2.3.1-1) ...
Selecting previously unselected package x11proto-kb-dev.
Preparing to unpack .../x11proto-kb-dev_1.0.7-0ubuntu1_all.deb ...
Unpacking x11proto-kb-dev (1.0.7-0ubuntu1) ...
Selecting previously unselected package xtrans-dev.
Preparing to unpack .../xtrans-dev_1.3.5-1_all.deb ...
Unpacking xtrans-dev (1.3.5-1) ...
Selecting previously unselected package libxcb1-dev:amd64.
Preparing to unpack .../libxcb1-dev_1.11.1-1ubuntu1_amd64.deb ...
Unpacking libxcb1-dev:amd64 (1.11.1-1ubuntu1) ...
Selecting previously unselected package libx11-dev:amd64.
Preparing to unpack .../libx11-dev_2%3a1.6.3-1ubuntu2.1_amd64.deb ...
Unpacking libx11-dev:amd64 (2:1.6.3-1ubuntu2.1) ...
Selecting previously unselected package libx11-doc.
Preparing to unpack .../libx11-doc_2%3a1.6.3-1ubuntu2.1_all.deb ...
Unpacking libx11-doc (2:1.6.3-1ubuntu2.1) ...
Selecting previously unselected package libxrender1:amd64.
Preparing to unpack .../libxrender1_1%3a0.9.9-0ubuntu1_amd64.deb ...
Unpacking libxrender1:amd64 (1:0.9.9-0ubuntu1) ...
Selecting previously unselected package x11proto-render-dev.
Preparing to unpack .../x11proto-render-dev_2%3a0.11.1-2_all.deb ...
Unpacking x11proto-render-dev (2:0.11.1-2) ...
Selecting previously unselected package libxrender-dev:amd64.
Preparing to unpack .../libxrender-dev_1%3a0.9.9-0ubuntu1_amd64.deb ...
Unpacking libxrender-dev:amd64 (1:0.9.9-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Processing triggers for systemd (229-4ubuntu21.28) ...
Setting up libglib2.0-0:amd64 (2.48.2-0ubuntu4.6) ...
No schema files found: doing nothing.
Setting up libxau6:amd64 (1:1.0.8-1) ...
Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ...
Setting up libxcb1:amd64 (1.11.1-1ubuntu1) ...
Setting up libx11-data (2:1.6.3-1ubuntu2.1) ...
Setting up libx11-6:amd64 (2:1.6.3-1ubuntu2.1) ...
Setting up libxext6:amd64 (2:1.3.3-1) ...
Setting up sgml-base (1.26+nmu4ubuntu1) ...
Setting up x11-common (1:7.7+13ubuntu3.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up libice6:amd64 (2:1.0.9-1) ...
Setting up libsm6:amd64 (2:1.2.2-1) ...
Setting up libglib2.0-data (2.48.2-0ubuntu4.6) ...
Setting up libicu55:amd64 (55.1-7ubuntu0.5) ...
Setting up libxml2:amd64 (2.9.3+dfsg1-1ubuntu0.7) ...
Setting up shared-mime-info (1.5-2ubuntu0.2) ...
Setting up xdg-user-dirs (0.15-2ubuntu6.16.04.1) ...
Setting up xml-core (0.13+nmu2) ...
Setting up libpthread-stubs0-dev:amd64 (0.3-4) ...
Setting up xorg-sgml-doctools (1:1.11-1) ...
Setting up x11proto-core-dev (7.0.31-1~ubuntu16.04.2) ...
Setting up libxau-dev:amd64 (1:1.0.8-1) ...
Setting up libxdmcp-dev:amd64 (1:1.1.2-1.1) ...
Setting up x11proto-input-dev (2.3.1-1) ...
Setting up x11proto-kb-dev (1.0.7-0ubuntu1) ...
Setting up xtrans-dev (1.3.5-1) ...
Setting up libxcb1-dev:amd64 (1.11.1-1ubuntu1) ...
Setting up libx11-dev:amd64 (2:1.6.3-1ubuntu2.1) ...
Setting up libx11-doc (2:1.6.3-1ubuntu2.1) ...
Setting up libxrender1:amd64 (1:0.9.9-0ubuntu1) ...
Setting up x11proto-render-dev (2:0.11.1-2) ...
Setting up libxrender-dev:amd64 (1:0.9.9-0ubuntu1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Processing triggers for systemd (229-4ubuntu21.28) ...
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
Removing intermediate container f34a4831e2e6
 ---> f5e2305f61ab
Step 17/57 : RUN apt-get install verilator
 ---> Running in f7e176d1a1d1
Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
  gtkwave systemc
The following NEW packages will be installed:
  verilator
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
Need to get 2419 kB of archives.
After this operation, 10.2 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial/universe amd64 verilator amd64 3.874-1 [2419 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 2419 kB in 2s (946 kB/s)
Selecting previously unselected package verilator.
(Reading database ... 14470 files and directories currently installed.)
Preparing to unpack .../verilator_3.874-1_amd64.deb ...
Unpacking verilator (3.874-1) ...
Setting up verilator (3.874-1) ...
Removing intermediate container f7e176d1a1d1
 ---> d51d466e1b25
Step 18/57 : RUN apt-get install nano
 ---> Running in 7643e55625d9
Reading package lists...
Building dependency tree...
Reading state information...
Suggested packages:
  spell
The following NEW packages will be installed:
  nano
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
Need to get 191 kB of archives.
After this operation, 700 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 nano amd64 2.5.3-2ubuntu2 [191 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 191 kB in 1s (116 kB/s)
Selecting previously unselected package nano.
(Reading database ... 14537 files and directories currently installed.)
Preparing to unpack .../nano_2.5.3-2ubuntu2_amd64.deb ...
Unpacking nano (2.5.3-2ubuntu2) ...
Setting up nano (2.5.3-2ubuntu2) ...
update-alternatives: using /bin/nano to provide /usr/bin/editor (editor) in auto mode
update-alternatives: using /bin/nano to provide /usr/bin/pico (pico) in auto mode
Removing intermediate container 7643e55625d9
 ---> 14107355f3e0
Step 19/57 : RUN apt-get -y install sshpass
 ---> Running in e97493619a6d
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libbsd0 libedit2 libxmuu1 openssh-client xauth
Suggested packages:
  ssh-askpass libpam-ssh keychain monkeysphere
The following NEW packages will be installed:
  libbsd0 libedit2 libxmuu1 openssh-client sshpass xauth
0 upgraded, 6 newly installed, 0 to remove and 4 not upgraded.
Need to get 751 kB of archives.
After this operation, 4385 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libbsd0 amd64 0.8.2-1ubuntu0.1 [42.0 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 libedit2 amd64 3.1-20150325-1ubuntu2 [76.5 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial/main amd64 libxmuu1 amd64 2:1.1.2-2 [9674 B]
Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 openssh-client amd64 1:7.2p2-4ubuntu2.8 [590 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial/main amd64 xauth amd64 1:1.0.9-1ubuntu2 [22.7 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial/universe amd64 sshpass amd64 1.05-1 [10.5 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 751 kB in 2s (313 kB/s)
Selecting previously unselected package libbsd0:amd64.
(Reading database ... 14601 files and directories currently installed.)
Preparing to unpack .../libbsd0_0.8.2-1ubuntu0.1_amd64.deb ...
Unpacking libbsd0:amd64 (0.8.2-1ubuntu0.1) ...
Selecting previously unselected package libedit2:amd64.
Preparing to unpack .../libedit2_3.1-20150325-1ubuntu2_amd64.deb ...
Unpacking libedit2:amd64 (3.1-20150325-1ubuntu2) ...
Selecting previously unselected package libxmuu1:amd64.
Preparing to unpack .../libxmuu1_2%3a1.1.2-2_amd64.deb ...
Unpacking libxmuu1:amd64 (2:1.1.2-2) ...
Selecting previously unselected package openssh-client.
Preparing to unpack .../openssh-client_1%3a7.2p2-4ubuntu2.8_amd64.deb ...
Unpacking openssh-client (1:7.2p2-4ubuntu2.8) ...
Selecting previously unselected package xauth.
Preparing to unpack .../xauth_1%3a1.0.9-1ubuntu2_amd64.deb ...
Unpacking xauth (1:1.0.9-1ubuntu2) ...
Selecting previously unselected package sshpass.
Preparing to unpack .../sshpass_1.05-1_amd64.deb ...
Unpacking sshpass (1.05-1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Setting up libbsd0:amd64 (0.8.2-1ubuntu0.1) ...
Setting up libedit2:amd64 (3.1-20150325-1ubuntu2) ...
Setting up libxmuu1:amd64 (2:1.1.2-2) ...
Setting up openssh-client (1:7.2p2-4ubuntu2.8) ...
Setting up xauth (1:1.0.9-1ubuntu2) ...
Setting up sshpass (1.05-1) ...
Processing triggers for libc-bin (2.23-0ubuntu11) ...
Removing intermediate container e97493619a6d
 ---> f699bf3658b1
Step 20/57 : RUN echo "StrictHostKeyChecking no" >> /etc/ssh/ssh_config
 ---> Running in 5643c3d52de0
Removing intermediate container 5643c3d52de0
 ---> 8103ae707ccb
Step 21/57 : COPY requirements.txt .
 ---> dd941c3eed7a
Step 22/57 : RUN pip install -r requirements.txt
 ---> Running in dea9093d5191
Collecting bitstring (from -r requirements.txt (line 1))
  Downloading https://files.pythonhosted.org/packages/c3/fc/ffac2c199d2efe1ec5111f55efeb78f5f2972456df6939fea849f103f9f5/bitstring-3.1.7.tar.gz (195kB)
Collecting docrep (from -r requirements.txt (line 2))
  Downloading https://files.pythonhosted.org/packages/dd/4a/ac09d6e07713e22baa4ab4e6f422d25e53425f3dc042616387dfbc272504/docrep-0.2.7.tar.gz
Collecting future (from -r requirements.txt (line 3))
  Downloading https://files.pythonhosted.org/packages/45/0b/38b06fd9b92dc2b68d58b75f900e97884c45bedd2ff83203d933cf5851c9/future-0.18.2.tar.gz (829kB)
Collecting numpy==1.18.0 (from -r requirements.txt (line 4))
  Downloading https://files.pythonhosted.org/packages/92/e6/45f71bd24f4e37629e9db5fb75caab919507deae6a5a257f9e4685a5f931/numpy-1.18.0-cp36-cp36m-manylinux1_x86_64.whl (20.1MB)
Collecting onnx==1.5.0 (from -r requirements.txt (line 5))
  Downloading https://files.pythonhosted.org/packages/88/50/e4a5a869093f35884d1fd95b46b24705ab27adb7e562a2a307523c043be3/onnx-1.5.0-cp36-cp36m-manylinux1_x86_64.whl (7.0MB)
Collecting onnxruntime==1.2.0 (from -r requirements.txt (line 6))
  Downloading https://files.pythonhosted.org/packages/69/39/404df5ee608c548dacde43a17faf0248b183fa6163cf9c06aca6a511d760/onnxruntime-1.2.0-cp36-cp36m-manylinux1_x86_64.whl (3.7MB)
Collecting pre-commit (from -r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/fc/70/b162b8e15689427006853a245b45040435534a568cc773be098bfaebd36d/pre_commit-2.4.0-py2.py3-none-any.whl (171kB)
Collecting pyverilator (from -r requirements.txt (line 8))
  Downloading https://files.pythonhosted.org/packages/5f/28/abb7d556067963e444c36b67000a02e435c2d6bdde8ed083acfa6b477d50/PyVerilator-0.1.0-py3-none-any.whl
Collecting scipy (from -r requirements.txt (line 9))
  Downloading https://files.pythonhosted.org/packages/dc/29/162476fd44203116e7980cfbd9352eef9db37c49445d1fec35509022f6aa/scipy-1.4.1-cp36-cp36m-manylinux1_x86_64.whl (26.1MB)
Collecting sphinx (from -r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/57/ee/b1ca567be96185ccc7d352dffa46cb047eb62fbf437e643d4dee5df09619/Sphinx-3.0.3-py3-none-any.whl (2.8MB)
Collecting wget (from -r requirements.txt (line 11))
  Downloading https://files.pythonhosted.org/packages/47/6a/62e288da7bcda82b935ff0c6cfe542970f04e29c756b0e147251b2fb251f/wget-3.2.zip
Requirement already satisfied: six in /opt/conda/lib/python3.6/site-packages (from docrep->-r requirements.txt (line 2)) (1.12.0)
Collecting typing-extensions>=3.6.2.1 (from onnx==1.5.0->-r requirements.txt (line 5))
  Downloading https://files.pythonhosted.org/packages/0c/0e/3f026d0645d699e7320b59952146d56ad7c374e9cd72cd16e7c74e657a0f/typing_extensions-3.7.4.2-py3-none-any.whl
Collecting typing>=3.6.4 (from onnx==1.5.0->-r requirements.txt (line 5))
  Downloading https://files.pythonhosted.org/packages/fe/2e/b480ee1b75e6d17d2993738670e75c1feeb9ff7f64452153cf018051cc92/typing-3.7.4.1-py3-none-any.whl
Collecting protobuf (from onnx==1.5.0->-r requirements.txt (line 5))
  Downloading https://files.pythonhosted.org/packages/c4/c1/300e675e55644f400b9e855c6a8189f3c9e4f41906a23954d15ebf59600f/protobuf-3.12.1-cp36-cp36m-manylinux1_x86_64.whl (1.3MB)
Collecting nodeenv>=0.11.1 (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/08/43/86ff33286c83f7b5e8903c32db01fe122c5e8a9d8dc1067dcaa9be54a033/nodeenv-1.3.5-py2.py3-none-any.whl
Collecting importlib-metadata; python_version < "3.8" (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/ad/e4/891bfcaf868ccabc619942f27940c77a8a4b45fd8367098955bb7e152fb1/importlib_metadata-1.6.0-py2.py3-none-any.whl
Requirement already satisfied: pyyaml>=5.1 in /opt/conda/lib/python3.6/site-packages (from pre-commit->-r requirements.txt (line 7)) (5.1)
Collecting virtualenv>=20.0.8 (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/57/6e/a13442adf18bada682f88f55638cd43cc7a39c3e00fdcf898ca4ceaeb682/virtualenv-20.0.21-py2.py3-none-any.whl (4.7MB)
Collecting toml (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/9f/e1/1b40b80f2e1663a6b9f497123c11d7d988c0919abbf3c3f2688e448c5363/toml-0.10.1-py2.py3-none-any.whl
Collecting cfgv>=2.0.0 (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/6d/82/49913e721128ff16d6b7cf304f513de7bba698583b045dfb9c4b3bb2f467/cfgv-3.1.0-py2.py3-none-any.whl
Collecting identify>=1.0.0 (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/a0/2e/c1a997cde3fe4c2dfb0d3917e2fa4a2653444a7da69cb64e2d0851e52e1e/identify-1.4.16-py2.py3-none-any.whl (97kB)
Collecting importlib-resources; python_version < "3.7" (from pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/7f/2d/88f166bcaadc09d9fdbf1c336ad118e01b7fe1155e15675e125be2ff1899/importlib_resources-1.5.0-py2.py3-none-any.whl
Collecting tclwrapper>=0.0.1 (from pyverilator->-r requirements.txt (line 8))
  Downloading https://files.pythonhosted.org/packages/c9/12/415ce7843101faccc72e05117e40a1534245774f40d2322a399e77d595cc/tclwrapper-0.0.1.tar.gz
Collecting snowballstemmer>=1.1 (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/7d/4b/cdf1113a0e88b641893b814e9c36f69a6fda28cd88b62c7f0d858cde3166/snowballstemmer-2.0.0-py2.py3-none-any.whl (97kB)
Collecting sphinxcontrib-qthelp (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/2b/14/05f9206cf4e9cfca1afb5fd224c7cd434dcc3a433d6d9e4e0264d29c6cdb/sphinxcontrib_qthelp-1.0.3-py2.py3-none-any.whl (90kB)
Requirement already satisfied: Pygments>=2.0 in /opt/conda/lib/python3.6/site-packages (from sphinx->-r requirements.txt (line 10)) (2.3.1)
Collecting babel>=1.3 (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/15/a1/522dccd23e5d2e47aed4b6a16795b8213e3272c7506e625f2425ad025a19/Babel-2.8.0-py2.py3-none-any.whl (8.6MB)
Collecting imagesize (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/31/b2/b5522a0c8d11e4aff83f8342f3f0dea68c2fb25aa44403e420587f0ce204/imagesize-1.2.0-py2.py3-none-any.whl
Collecting sphinxcontrib-htmlhelp (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/36/62/8222554b29b3acde8420128d6d3999c5904d40922ef4b6ccb370e2be7421/sphinxcontrib_htmlhelp-1.0.3-py2.py3-none-any.whl (96kB)
Collecting sphinxcontrib-applehelp (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/dc/47/86022665a9433d89a66f5911b558ddff69861766807ba685de2e324bd6ed/sphinxcontrib_applehelp-1.0.2-py2.py3-none-any.whl (121kB)
Requirement already satisfied: requests>=2.5.0 in /opt/conda/lib/python3.6/site-packages (from sphinx->-r requirements.txt (line 10)) (2.21.0)
Collecting packaging (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/46/19/c5ab91b1b05cfe63cccd5cfc971db9214c6dd6ced54e33c30d5af1d2bc43/packaging-20.4-py2.py3-none-any.whl
Collecting sphinxcontrib-serializinghtml (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/9a/ca/bfad79b79b3821d0c6361c431f0ef4aec16ee248338b2c2013008b34d345/sphinxcontrib_serializinghtml-1.1.4-py2.py3-none-any.whl (89kB)
Requirement already satisfied: Jinja2>=2.3 in /opt/conda/lib/python3.6/site-packages (from sphinx->-r requirements.txt (line 10)) (2.10.1)
Collecting alabaster<0.8,>=0.7 (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/10/ad/00b090d23a222943eb0eda509720a404f531a439e803f6538f35136cae9e/alabaster-0.7.12-py2.py3-none-any.whl
Collecting sphinxcontrib-devhelp (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/c5/09/5de5ed43a521387f18bdf5f5af31d099605c992fd25372b2b9b825ce48ee/sphinxcontrib_devhelp-1.0.2-py2.py3-none-any.whl (84kB)
Collecting docutils>=0.12 (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/81/44/8a15e45ffa96e6cf82956dd8d7af9e666357e16b0d93b253903475ee947f/docutils-0.16-py2.py3-none-any.whl (548kB)
Collecting sphinxcontrib-jsmath (from sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/c2/42/4c8646762ee83602e3fb3fbe774c2fac12f317deb0b5dbeeedd2d3ba4b77/sphinxcontrib_jsmath-1.0.1-py2.py3-none-any.whl
Requirement already satisfied: setuptools in /opt/conda/lib/python3.6/site-packages (from sphinx->-r requirements.txt (line 10)) (41.0.1)
Collecting zipp>=0.5 (from importlib-metadata; python_version < "3.8"->pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/b2/34/bfcb43cc0ba81f527bc4f40ef41ba2ff4080e047acb0586b56b3d017ace4/zipp-3.1.0-py3-none-any.whl
Requirement already satisfied: filelock<4,>=3.0.0 in /opt/conda/lib/python3.6/site-packages (from virtualenv>=20.0.8->pre-commit->-r requirements.txt (line 7)) (3.0.10)
Collecting distlib<1,>=0.3.0 (from virtualenv>=20.0.8->pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/7d/29/694a3a4d7c0e1aef76092e9167fbe372e0f7da055f5dcf4e1313ec21d96a/distlib-0.3.0.zip (571kB)
Collecting appdirs<2,>=1.4.3 (from virtualenv>=20.0.8->pre-commit->-r requirements.txt (line 7))
  Downloading https://files.pythonhosted.org/packages/3b/00/2344469e2084fb287c2e0b57b72910309874c3245463acd6cf5e3db69324/appdirs-1.4.4-py2.py3-none-any.whl
Requirement already satisfied: pytz>=2015.7 in /opt/conda/lib/python3.6/site-packages (from babel>=1.3->sphinx->-r requirements.txt (line 10)) (2019.1)
Requirement already satisfied: certifi>=2017.4.17 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->-r requirements.txt (line 10)) (2019.3.9)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->-r requirements.txt (line 10)) (1.24.2)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->-r requirements.txt (line 10)) (3.0.4)
Requirement already satisfied: idna<2.9,>=2.5 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->-r requirements.txt (line 10)) (2.8)
Collecting pyparsing>=2.0.2 (from packaging->sphinx->-r requirements.txt (line 10))
  Downloading https://files.pythonhosted.org/packages/8a/bb/488841f56197b13700afd5658fc279a2025a39e22449b7cf29864669b15d/pyparsing-2.4.7-py2.py3-none-any.whl (67kB)
Requirement already satisfied: MarkupSafe>=0.23 in /opt/conda/lib/python3.6/site-packages (from Jinja2>=2.3->sphinx->-r requirements.txt (line 10)) (1.1.1)
Building wheels for collected packages: bitstring, docrep, future, wget, tclwrapper, distlib
  Building wheel for bitstring (setup.py): started
  Building wheel for bitstring (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/b8/27/f0/8373e26b7de57db03dc18aaaebdd8c26a99da882416f762979
  Building wheel for docrep (setup.py): started
  Building wheel for docrep (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/43/6c/2a/d7b1c8a6e7e66f708a6b6a4fbe4bb5a73219f9c7f0afed568b
  Building wheel for future (setup.py): started
  Building wheel for future (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/8b/99/a0/81daf51dcd359a9377b110a8a886b3895921802d2fc1b2397e
  Building wheel for wget (setup.py): started
  Building wheel for wget (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/40/15/30/7d8f7cea2902b4db79e3fea550d7d7b85ecb27ef992b618f3f
  Building wheel for tclwrapper (setup.py): started
  Building wheel for tclwrapper (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/80/e2/6e/38daa5a5f60e12aaf768cf2b4a7078da05d70b886d89d55303
  Building wheel for distlib (setup.py): started
  Building wheel for distlib (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/6e/e8/db/c73dae4867666e89ba3cfbc4b5c092446f0e584eda6f409cbb
Successfully built bitstring docrep future wget tclwrapper distlib
Installing collected packages: bitstring, docrep, future, numpy, typing-extensions, typing, protobuf, onnx, onnxruntime, nodeenv, zipp, importlib-metadata, distlib, appdirs, importlib-resources, virtualenv, toml, cfgv, identify, pre-commit, tclwrapper, pyverilator, scipy, snowballstemmer, sphinxcontrib-qthelp, babel, imagesize, sphinxcontrib-htmlhelp, sphinxcontrib-applehelp, pyparsing, packaging, sphinxcontrib-serializinghtml, alabaster, sphinxcontrib-devhelp, docutils, sphinxcontrib-jsmath, sphinx, wget
  Found existing installation: numpy 1.16.3
    Uninstalling numpy-1.16.3:
      Successfully uninstalled numpy-1.16.3
Successfully installed alabaster-0.7.12 appdirs-1.4.4 babel-2.8.0 bitstring-3.1.7 cfgv-3.1.0 distlib-0.3.0 docrep-0.2.7 docutils-0.16 future-0.18.2 identify-1.4.16 imagesize-1.2.0 importlib-metadata-1.6.0 importlib-resources-1.5.0 nodeenv-1.3.5 numpy-1.18.0 onnx-1.5.0 onnxruntime-1.2.0 packaging-20.4 pre-commit-2.4.0 protobuf-3.12.1 pyparsing-2.4.7 pyverilator-0.1.0 scipy-1.4.1 snowballstemmer-2.0.0 sphinx-3.0.3 sphinxcontrib-applehelp-1.0.2 sphinxcontrib-devhelp-1.0.2 sphinxcontrib-htmlhelp-1.0.3 sphinxcontrib-jsmath-1.0.1 sphinxcontrib-qthelp-1.0.3 sphinxcontrib-serializinghtml-1.1.4 tclwrapper-0.0.1 toml-0.10.1 typing-3.7.4.1 typing-extensions-3.7.4.2 virtualenv-20.0.21 wget-3.2 zipp-3.1.0
Removing intermediate container dea9093d5191
 ---> dc3c8d1ffd60
Step 23/57 : RUN rm requirements.txt
 ---> Running in c7ab75e2320c
Removing intermediate container c7ab75e2320c
 ---> 579eca7e5baf
Step 24/57 : RUN pip install jupyter
 ---> Running in 11fb24fc9163
Collecting jupyter
  Downloading https://files.pythonhosted.org/packages/83/df/0f5dd132200728a86190397e1ea87cd76244e42d39ec5e88efd25b2abd7e/jupyter-1.0.0-py2.py3-none-any.whl
Collecting jupyter-console (from jupyter)
  Downloading https://files.pythonhosted.org/packages/0a/89/742fa5a80b552ffcb6a8922712697c6e6828aee7b91ee4ae2b79f00f8401/jupyter_console-6.1.0-py2.py3-none-any.whl
Collecting qtconsole (from jupyter)
  Downloading https://files.pythonhosted.org/packages/61/9c/ee26b844381f0cf2ea24bd822e4a9ed2c7fd6d8cdeef63be459c62132f9b/qtconsole-4.7.4-py2.py3-none-any.whl (118kB)
Collecting ipywidgets (from jupyter)
  Downloading https://files.pythonhosted.org/packages/56/a0/dbcf5881bb2f51e8db678211907f16ea0a182b232c591a6d6f276985ca95/ipywidgets-7.5.1-py2.py3-none-any.whl (121kB)
Collecting ipykernel (from jupyter)
  Downloading https://files.pythonhosted.org/packages/61/18/f2350f0396fca562c22f880e25d668eaf6de129b6a56bf5b6786796a12e1/ipykernel-5.3.0-py3-none-any.whl (119kB)
Collecting notebook (from jupyter)
  Downloading https://files.pythonhosted.org/packages/b1/f1/0a67f09ef53a342403ffa66646ee39273e0ac79ffa5de5dbe2f3e28b5bdf/notebook-6.0.3-py3-none-any.whl (9.7MB)
Collecting nbconvert (from jupyter)
  Downloading https://files.pythonhosted.org/packages/79/6c/05a569e9f703d18aacb89b7ad6075b404e8a4afde2c26b73ca77bb644b14/nbconvert-5.6.1-py2.py3-none-any.whl (455kB)
Requirement already satisfied: pygments in /opt/conda/lib/python3.6/site-packages (from jupyter-console->jupyter) (2.3.1)
Requirement already satisfied: ipython in /opt/conda/lib/python3.6/site-packages (from jupyter-console->jupyter) (7.5.0)
Requirement already satisfied: prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0 in /opt/conda/lib/python3.6/site-packages (from jupyter-console->jupyter) (2.0.9)
Collecting jupyter-client (from jupyter-console->jupyter)
  Downloading https://files.pythonhosted.org/packages/34/0b/2ebddf775f558158ca8df23b35445fb15d4b1558a9e4a03bc7e75b13476e/jupyter_client-6.1.3-py3-none-any.whl (106kB)
Collecting jupyter-core (from qtconsole->jupyter)
  Downloading https://files.pythonhosted.org/packages/63/0d/df2d17cdf389cea83e2efa9a4d32f7d527ba78667e0153a8e676e957b2f7/jupyter_core-4.6.3-py2.py3-none-any.whl (83kB)
Collecting qtpy (from qtconsole->jupyter)
  Downloading https://files.pythonhosted.org/packages/cd/fd/9972948f02e967b691cc0ca1f26124826a3b88cb38f412a8b7935b8c3c72/QtPy-1.9.0-py2.py3-none-any.whl (54kB)
Requirement already satisfied: ipython-genutils in /opt/conda/lib/python3.6/site-packages (from qtconsole->jupyter) (0.2.0)
Requirement already satisfied: traitlets in /opt/conda/lib/python3.6/site-packages (from qtconsole->jupyter) (4.3.2)
Collecting pyzmq>=17.1 (from qtconsole->jupyter)
  Downloading https://files.pythonhosted.org/packages/c9/11/bb28199dd8f186a4053b7dd94a33abf0c1162d99203e7ab32a6b71fa045b/pyzmq-19.0.1-cp36-cp36m-manylinux1_x86_64.whl (1.1MB)
Collecting widgetsnbextension~=3.5.0 (from ipywidgets->jupyter)
  Downloading https://files.pythonhosted.org/packages/6c/7b/7ac231c20d2d33c445eaacf8a433f4e22c60677eb9776c7c5262d7ddee2d/widgetsnbextension-3.5.1-py2.py3-none-any.whl (2.2MB)
Collecting nbformat>=4.2.0 (from ipywidgets->jupyter)
  Downloading https://files.pythonhosted.org/packages/d5/3c/251cfe5e3c9545ece107d342909ee3822d8cd9f3f11a591df37baeff2089/nbformat-5.0.6-py3-none-any.whl (170kB)
Collecting tornado>=4.2 (from ipykernel->jupyter)
  Downloading https://files.pythonhosted.org/packages/95/84/119a46d494f008969bf0c775cb2c6b3579d3c4cc1bb1b41a022aa93ee242/tornado-6.0.4.tar.gz (496kB)
Collecting prometheus-client (from notebook->jupyter)
  Downloading https://files.pythonhosted.org/packages/b3/23/41a5a24b502d35a4ad50a5bb7202a5e1d9a0364d0c12f56db3dbf7aca76d/prometheus_client-0.7.1.tar.gz
Collecting Send2Trash (from notebook->jupyter)
  Downloading https://files.pythonhosted.org/packages/49/46/c3dc27481d1cc57b9385aff41c474ceb7714f7935b1247194adae45db714/Send2Trash-1.5.0-py3-none-any.whl
Requirement already satisfied: jinja2 in /opt/conda/lib/python3.6/site-packages (from notebook->jupyter) (2.10.1)
Collecting terminado>=0.8.1 (from notebook->jupyter)
  Downloading https://files.pythonhosted.org/packages/ff/96/1d9a2c23990aea8f8e0b5c3b6627d03196a73771a17a2d9860bbe9823ab6/terminado-0.8.3-py2.py3-none-any.whl
Collecting bleach (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/9a/1e/7d6cb3b27cd2c490558349ca5d5cc05b390b017da1c704cac807ac8bd9fb/bleach-3.1.5-py2.py3-none-any.whl (151kB)
Collecting entrypoints>=0.2.2 (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/ac/c6/44694103f8c221443ee6b0041f69e2740d89a25641e62fb4f2ee568f2f9c/entrypoints-0.3-py2.py3-none-any.whl
Collecting defusedxml (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/06/74/9b387472866358ebc08732de3da6dc48e44b0aacd2ddaa5cb85ab7e986a2/defusedxml-0.6.0-py2.py3-none-any.whl
Collecting pandocfilters>=1.4.1 (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/4c/ea/236e2584af67bb6df960832731a6e5325fd4441de001767da328c33368ce/pandocfilters-1.4.2.tar.gz
Collecting testpath (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/1b/9e/1a170feaa54f22aeb5a5d16c9015e82234275a3c8ab630b552493f9cb8a9/testpath-0.4.4-py2.py3-none-any.whl (163kB)
Collecting mistune<2,>=0.8.1 (from nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/09/ec/4b43dae793655b7d8a25f76119624350b4d65eb663459eb9603d7f1f0345/mistune-0.8.4-py2.py3-none-any.whl
Requirement already satisfied: pexpect; sys_platform != "win32" in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (4.7.0)
Requirement already satisfied: pickleshare in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (0.7.5)
Requirement already satisfied: backcall in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (0.1.0)
Requirement already satisfied: jedi>=0.10 in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (0.13.3)
Requirement already satisfied: decorator in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (4.4.0)
Requirement already satisfied: setuptools>=18.5 in /opt/conda/lib/python3.6/site-packages (from ipython->jupyter-console->jupyter) (41.0.1)
Requirement already satisfied: six>=1.9.0 in /opt/conda/lib/python3.6/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->jupyter-console->jupyter) (1.12.0)
Requirement already satisfied: wcwidth in /opt/conda/lib/python3.6/site-packages (from prompt-toolkit!=3.0.0,!=3.0.1,<3.1.0,>=2.0.0->jupyter-console->jupyter) (0.1.7)
Collecting python-dateutil>=2.1 (from jupyter-client->jupyter-console->jupyter)
  Downloading https://files.pythonhosted.org/packages/d4/70/d60450c3dd48ef87586924207ae8907090de0b306af2bce5d134d78615cb/python_dateutil-2.8.1-py2.py3-none-any.whl (227kB)
Collecting jsonschema!=2.5.0,>=2.4 (from nbformat>=4.2.0->ipywidgets->jupyter)
  Downloading https://files.pythonhosted.org/packages/c5/8f/51e89ce52a085483359217bc72cdbf6e75ee595d5b1d4b5ade40c7e018b8/jsonschema-3.2.0-py2.py3-none-any.whl (56kB)
Requirement already satisfied: MarkupSafe>=0.23 in /opt/conda/lib/python3.6/site-packages (from jinja2->notebook->jupyter) (1.1.1)
Requirement already satisfied: ptyprocess; os_name != "nt" in /opt/conda/lib/python3.6/site-packages (from terminado>=0.8.1->notebook->jupyter) (0.6.0)
Requirement already satisfied: packaging in /opt/conda/lib/python3.6/site-packages (from bleach->nbconvert->jupyter) (20.4)
Collecting webencodings (from bleach->nbconvert->jupyter)
  Downloading https://files.pythonhosted.org/packages/f4/24/2a3e3df732393fed8b3ebf2ec078f05546de641fe1b667ee316ec1dcf3b7/webencodings-0.5.1-py2.py3-none-any.whl
Requirement already satisfied: parso>=0.3.0 in /opt/conda/lib/python3.6/site-packages (from jedi>=0.10->ipython->jupyter-console->jupyter) (0.4.0)
Collecting pyrsistent>=0.14.0 (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets->jupyter)
  Downloading https://files.pythonhosted.org/packages/9f/0d/cbca4d0bbc5671822a59f270e4ce3f2195f8a899c97d0d5abb81b191efb5/pyrsistent-0.16.0.tar.gz (108kB)
Requirement already satisfied: importlib-metadata; python_version < "3.8" in /opt/conda/lib/python3.6/site-packages (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets->jupyter) (1.6.0)
Collecting attrs>=17.4.0 (from jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets->jupyter)
  Downloading https://files.pythonhosted.org/packages/a2/db/4313ab3be961f7a763066401fb77f7748373b6094076ae2bda2806988af6/attrs-19.3.0-py2.py3-none-any.whl
Requirement already satisfied: pyparsing>=2.0.2 in /opt/conda/lib/python3.6/site-packages (from packaging->bleach->nbconvert->jupyter) (2.4.7)
Requirement already satisfied: zipp>=0.5 in /opt/conda/lib/python3.6/site-packages (from importlib-metadata; python_version < "3.8"->jsonschema!=2.5.0,>=2.4->nbformat>=4.2.0->ipywidgets->jupyter) (3.1.0)
Building wheels for collected packages: tornado, prometheus-client, pandocfilters, pyrsistent
  Building wheel for tornado (setup.py): started
  Building wheel for tornado (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/93/84/2f/409c7b2bb3afc3aa727f7ee8787975e0793f74d1165f4d0104
  Building wheel for prometheus-client (setup.py): started
  Building wheel for prometheus-client (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/1c/54/34/fd47cd9b308826cc4292b54449c1899a30251ef3b506bc91ea
  Building wheel for pandocfilters (setup.py): started
  Building wheel for pandocfilters (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/39/01/56/f1b08a6275acc59e846fa4c1e1b65dbc1919f20157d9e66c20
  Building wheel for pyrsistent (setup.py): started
  Building wheel for pyrsistent (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/c2/85/ad/bc6d41e2c4b35c9fdfed48f0fcd411ffc4164e67755ddf9ebb
Successfully built tornado prometheus-client pandocfilters pyrsistent
Installing collected packages: tornado, jupyter-core, python-dateutil, pyzmq, jupyter-client, ipykernel, jupyter-console, qtpy, qtconsole, prometheus-client, Send2Trash, pyrsistent, attrs, jsonschema, nbformat, webencodings, bleach, entrypoints, defusedxml, pandocfilters, testpath, mistune, nbconvert, terminado, notebook, widgetsnbextension, ipywidgets, jupyter
Successfully installed Send2Trash-1.5.0 attrs-19.3.0 bleach-3.1.5 defusedxml-0.6.0 entrypoints-0.3 ipykernel-5.3.0 ipywidgets-7.5.1 jsonschema-3.2.0 jupyter-1.0.0 jupyter-client-6.1.3 jupyter-console-6.1.0 jupyter-core-4.6.3 mistune-0.8.4 nbconvert-5.6.1 nbformat-5.0.6 notebook-6.0.3 pandocfilters-1.4.2 prometheus-client-0.7.1 pyrsistent-0.16.0 python-dateutil-2.8.1 pyzmq-19.0.1 qtconsole-4.7.4 qtpy-1.9.0 terminado-0.8.3 testpath-0.4.4 tornado-6.0.4 webencodings-0.5.1 widgetsnbextension-3.5.1
Removing intermediate container 11fb24fc9163
 ---> 72bbf3b30d87
Step 25/57 : RUN pip install netron
 ---> Running in b4339a3330e6
Collecting netron
  Downloading https://files.pythonhosted.org/packages/3b/57/01f85a7f7645d3fbd6f01411fd376c207890f1152a7a3221cfdec4384f7e/netron-4.1.8-py2.py3-none-any.whl (1.4MB)
Installing collected packages: netron
Successfully installed netron-4.1.8
Removing intermediate container b4339a3330e6
 ---> 1bab1fc101e0
Step 26/57 : RUN pip install matplotlib
 ---> Running in 2c5bf960b0f4
Collecting matplotlib
  Downloading https://files.pythonhosted.org/packages/93/4b/52da6b1523d5139d04e02d9e26ceda6146b48f2a4e5d2abfdf1c7bac8c40/matplotlib-3.2.1-cp36-cp36m-manylinux1_x86_64.whl (12.4MB)
Collecting kiwisolver>=1.0.1 (from matplotlib)
  Downloading https://files.pythonhosted.org/packages/ae/23/147de658aabbf968324551ea22c0c13a00284c4ef49a77002e91f79657b7/kiwisolver-1.2.0-cp36-cp36m-manylinux1_x86_64.whl (88kB)
Requirement already satisfied: numpy>=1.11 in /opt/conda/lib/python3.6/site-packages (from matplotlib) (1.18.0)
Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.1 in /opt/conda/lib/python3.6/site-packages (from matplotlib) (2.4.7)
Requirement already satisfied: python-dateutil>=2.1 in /opt/conda/lib/python3.6/site-packages (from matplotlib) (2.8.1)
Collecting cycler>=0.10 (from matplotlib)
  Downloading https://files.pythonhosted.org/packages/f7/d2/e07d3ebb2bd7af696440ce7e754c59dd546ffe1bbe732c8ab68b9c834e61/cycler-0.10.0-py2.py3-none-any.whl
Requirement already satisfied: six>=1.5 in /opt/conda/lib/python3.6/site-packages (from python-dateutil>=2.1->matplotlib) (1.12.0)
Installing collected packages: kiwisolver, cycler, matplotlib
Successfully installed cycler-0.10.0 kiwisolver-1.2.0 matplotlib-3.2.1
Removing intermediate container 2c5bf960b0f4
 ---> c6821607a60d
Step 27/57 : RUN pip install pytest-dependency
 ---> Running in 5c2c548cda90
Collecting pytest-dependency
  Downloading https://files.pythonhosted.org/packages/69/6d/cfd6d654877f75e0368e4040f1cf0350dd9f427b578bf7b685af629f8167/pytest-dependency-0.5.1.tar.gz
Collecting pytest>=3.6.0 (from pytest-dependency)
  Downloading https://files.pythonhosted.org/packages/6c/f9/9f2b6c672c8f8bb87a4c1bd52c1b57213627b035305aad745d015b2a62ae/pytest-5.4.2-py3-none-any.whl (247kB)
Collecting more-itertools>=4.0.0 (from pytest>=3.6.0->pytest-dependency)
  Downloading https://files.pythonhosted.org/packages/06/b1/2dcadc4861c505a807d5c6d88928450fe5afcf352f205432572a10d74657/more_itertools-8.3.0-py3-none-any.whl (44kB)
Collecting pluggy<1.0,>=0.12 (from pytest>=3.6.0->pytest-dependency)
  Downloading https://files.pythonhosted.org/packages/a0/28/85c7aa31b80d150b772fbe4a229487bc6644da9ccb7e427dd8cc60cb8a62/pluggy-0.13.1-py2.py3-none-any.whl
Collecting py>=1.5.0 (from pytest>=3.6.0->pytest-dependency)
  Downloading https://files.pythonhosted.org/packages/99/8d/21e1767c009211a62a8e3067280bfce76e89c9f876180308515942304d2d/py-1.8.1-py2.py3-none-any.whl (83kB)
Requirement already satisfied: importlib-metadata>=0.12; python_version < "3.8" in /opt/conda/lib/python3.6/site-packages (from pytest>=3.6.0->pytest-dependency) (1.6.0)
Requirement already satisfied: packaging in /opt/conda/lib/python3.6/site-packages (from pytest>=3.6.0->pytest-dependency) (20.4)
Requirement already satisfied: wcwidth in /opt/conda/lib/python3.6/site-packages (from pytest>=3.6.0->pytest-dependency) (0.1.7)
Requirement already satisfied: attrs>=17.4.0 in /opt/conda/lib/python3.6/site-packages (from pytest>=3.6.0->pytest-dependency) (19.3.0)
Requirement already satisfied: zipp>=0.5 in /opt/conda/lib/python3.6/site-packages (from importlib-metadata>=0.12; python_version < "3.8"->pytest>=3.6.0->pytest-dependency) (3.1.0)
Requirement already satisfied: pyparsing>=2.0.2 in /opt/conda/lib/python3.6/site-packages (from packaging->pytest>=3.6.0->pytest-dependency) (2.4.7)
Requirement already satisfied: six in /opt/conda/lib/python3.6/site-packages (from packaging->pytest>=3.6.0->pytest-dependency) (1.12.0)
Building wheels for collected packages: pytest-dependency
  Building wheel for pytest-dependency (setup.py): started
  Building wheel for pytest-dependency (setup.py): finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/d0/32/57/2b5f4997722ef4021bc4f32b793c0798ccf734a954bd9533ab
Successfully built pytest-dependency
Installing collected packages: more-itertools, pluggy, py, pytest, pytest-dependency
Successfully installed more-itertools-8.3.0 pluggy-0.13.1 py-1.8.1 pytest-5.4.2 pytest-dependency-0.5.1
Removing intermediate container 5c2c548cda90
 ---> 74cf2e2cdfc1
Step 28/57 : RUN pip install sphinx
 ---> Running in 302ad97d6514
Requirement already satisfied: sphinx in /opt/conda/lib/python3.6/site-packages (3.0.3)
Requirement already satisfied: imagesize in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.2.0)
Requirement already satisfied: packaging in /opt/conda/lib/python3.6/site-packages (from sphinx) (20.4)
Requirement already satisfied: sphinxcontrib-applehelp in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.0.2)
Requirement already satisfied: sphinxcontrib-jsmath in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.0.1)
Requirement already satisfied: alabaster<0.8,>=0.7 in /opt/conda/lib/python3.6/site-packages (from sphinx) (0.7.12)
Requirement already satisfied: sphinxcontrib-qthelp in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.0.3)
Requirement already satisfied: snowballstemmer>=1.1 in /opt/conda/lib/python3.6/site-packages (from sphinx) (2.0.0)
Requirement already satisfied: sphinxcontrib-htmlhelp in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.0.3)
Requirement already satisfied: Jinja2>=2.3 in /opt/conda/lib/python3.6/site-packages (from sphinx) (2.10.1)
Requirement already satisfied: setuptools in /opt/conda/lib/python3.6/site-packages (from sphinx) (41.0.1)
Requirement already satisfied: docutils>=0.12 in /opt/conda/lib/python3.6/site-packages (from sphinx) (0.16)
Requirement already satisfied: babel>=1.3 in /opt/conda/lib/python3.6/site-packages (from sphinx) (2.8.0)
Requirement already satisfied: Pygments>=2.0 in /opt/conda/lib/python3.6/site-packages (from sphinx) (2.3.1)
Requirement already satisfied: sphinxcontrib-serializinghtml in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.1.4)
Requirement already satisfied: requests>=2.5.0 in /opt/conda/lib/python3.6/site-packages (from sphinx) (2.21.0)
Requirement already satisfied: sphinxcontrib-devhelp in /opt/conda/lib/python3.6/site-packages (from sphinx) (1.0.2)
Requirement already satisfied: six in /opt/conda/lib/python3.6/site-packages (from packaging->sphinx) (1.12.0)
Requirement already satisfied: pyparsing>=2.0.2 in /opt/conda/lib/python3.6/site-packages (from packaging->sphinx) (2.4.7)
Requirement already satisfied: MarkupSafe>=0.23 in /opt/conda/lib/python3.6/site-packages (from Jinja2>=2.3->sphinx) (1.1.1)
Requirement already satisfied: pytz>=2015.7 in /opt/conda/lib/python3.6/site-packages (from babel>=1.3->sphinx) (2019.1)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx) (3.0.4)
Requirement already satisfied: idna<2.9,>=2.5 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx) (2.8)
Requirement already satisfied: certifi>=2017.4.17 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx) (2019.3.9)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx) (1.24.2)
Removing intermediate container 302ad97d6514
 ---> a8a00eb5f14d
Step 29/57 : RUN pip install sphinx_rtd_theme
 ---> Running in 1752dc02a081
Collecting sphinx_rtd_theme
  Downloading https://files.pythonhosted.org/packages/60/b4/4df37087a1d36755e3a3bfd2a30263f358d2dea21938240fa02313d45f51/sphinx_rtd_theme-0.4.3-py2.py3-none-any.whl (6.4MB)
Requirement already satisfied: sphinx in /opt/conda/lib/python3.6/site-packages (from sphinx_rtd_theme) (3.0.3)
Requirement already satisfied: sphinxcontrib-qthelp in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.0.3)
Requirement already satisfied: Pygments>=2.0 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (2.3.1)
Requirement already satisfied: babel>=1.3 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (2.8.0)
Requirement already satisfied: Jinja2>=2.3 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (2.10.1)
Requirement already satisfied: alabaster<0.8,>=0.7 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (0.7.12)
Requirement already satisfied: sphinxcontrib-serializinghtml in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.1.4)
Requirement already satisfied: sphinxcontrib-devhelp in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.0.2)
Requirement already satisfied: requests>=2.5.0 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (2.21.0)
Requirement already satisfied: snowballstemmer>=1.1 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (2.0.0)
Requirement already satisfied: packaging in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (20.4)
Requirement already satisfied: sphinxcontrib-htmlhelp in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.0.3)
Requirement already satisfied: docutils>=0.12 in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (0.16)
Requirement already satisfied: sphinxcontrib-jsmath in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.0.1)
Requirement already satisfied: setuptools in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (41.0.1)
Requirement already satisfied: sphinxcontrib-applehelp in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.0.2)
Requirement already satisfied: imagesize in /opt/conda/lib/python3.6/site-packages (from sphinx->sphinx_rtd_theme) (1.2.0)
Requirement already satisfied: pytz>=2015.7 in /opt/conda/lib/python3.6/site-packages (from babel>=1.3->sphinx->sphinx_rtd_theme) (2019.1)
Requirement already satisfied: MarkupSafe>=0.23 in /opt/conda/lib/python3.6/site-packages (from Jinja2>=2.3->sphinx->sphinx_rtd_theme) (1.1.1)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->sphinx_rtd_theme) (3.0.4)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->sphinx_rtd_theme) (1.24.2)
Requirement already satisfied: certifi>=2017.4.17 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->sphinx_rtd_theme) (2019.3.9)
Requirement already satisfied: idna<2.9,>=2.5 in /opt/conda/lib/python3.6/site-packages (from requests>=2.5.0->sphinx->sphinx_rtd_theme) (2.8)
Requirement already satisfied: six in /opt/conda/lib/python3.6/site-packages (from packaging->sphinx->sphinx_rtd_theme) (1.12.0)
Requirement already satisfied: pyparsing>=2.0.2 in /opt/conda/lib/python3.6/site-packages (from packaging->sphinx->sphinx_rtd_theme) (2.4.7)
Installing collected packages: sphinx-rtd-theme
Successfully installed sphinx-rtd-theme-0.4.3
Removing intermediate container 1752dc02a081
 ---> 80689274b4b3
Step 30/57 : RUN groupadd -g $GID $GNAME
 ---> Running in 91859d9eeecf
Removing intermediate container 91859d9eeecf
 ---> 80a63f034d82
Step 31/57 : RUN useradd -M -u $UID $UNAME -g $GNAME
 ---> Running in c8f3621d7ad8
Removing intermediate container c8f3621d7ad8
 ---> 4b48301c079b
Step 32/57 : RUN usermod -aG sudo $UNAME
 ---> Running in e6f9f4cf61fe
Removing intermediate container e6f9f4cf61fe
 ---> 30973f688780
Step 33/57 : RUN echo "$UNAME:$PASSWD" | chpasswd
 ---> Running in 3a467f0ae30f
Removing intermediate container 3a467f0ae30f
 ---> 17c60b1142b2
Step 34/57 : RUN echo "root:$PASSWD" | chpasswd
 ---> Running in 73d65794355c
Removing intermediate container 73d65794355c
 ---> 67281fd95826
Step 35/57 : RUN ln -s /workspace /home/$UNAME
 ---> Running in a28d336641ec
Removing intermediate container a28d336641ec
 ---> 4576b4491141
Step 36/57 : RUN chown -R $UNAME:$GNAME /home/$UNAME
 ---> Running in 7245a163e257
Removing intermediate container 7245a163e257
 ---> e6b8772f78ca
Step 37/57 : USER $UNAME
 ---> Running in 229a77ff47f0
Removing intermediate container 229a77ff47f0
 ---> 528f1a9e5081
Step 38/57 : RUN git clone https://github.com/Xilinx/brevitas.git /workspace/brevitas
 ---> Running in a91356742e08
Cloning into '/workspace/brevitas'...
Removing intermediate container a91356742e08
 ---> 99286b41d5c2
Step 39/57 : RUN git clone https://github.com/maltanar/brevitas_cnv_lfc.git /workspace/brevitas_cnv_lfc
 ---> Running in e4d743f8610d
Cloning into '/workspace/brevitas_cnv_lfc'...
Removing intermediate container e4d743f8610d
 ---> 095dfd543443
Step 40/57 : RUN git clone https://github.com/rogersce/cnpy.git /workspace/cnpy
 ---> Running in 058918d1e8d8
Cloning into '/workspace/cnpy'...
Removing intermediate container 058918d1e8d8
 ---> aff25c3a5747
Step 41/57 : RUN git clone https://github.com/maltanar/finn-hlslib.git /workspace/finn-hlslib
 ---> Running in f3d99c1401a1
Cloning into '/workspace/finn-hlslib'...
Removing intermediate container f3d99c1401a1
 ---> 648dd63ad6ef
Step 42/57 : RUN git clone https://github.com/maltanar/pyverilator /workspace/pyverilator
 ---> Running in e81c8620897f
Cloning into '/workspace/pyverilator'...
Removing intermediate container e81c8620897f
 ---> 5a0c720b4bf9
Step 43/57 : RUN git clone https://github.com/maltanar/PYNQ-HelloWorld.git /workspace/PYNQ-HelloWorld
 ---> Running in 459552bcd651
Cloning into '/workspace/PYNQ-HelloWorld'...
Removing intermediate container 459552bcd651
 ---> 001752faf746
Step 44/57 : ENV PYTHONPATH "${PYTHONPATH}:/workspace/finn/src"
 ---> Running in 86d8a472713f
Removing intermediate container 86d8a472713f
 ---> baa34ec49ffc
Step 45/57 : ENV PYTHONPATH "${PYTHONPATH}:/workspace/brevitas_cnv_lfc/training_scripts"
 ---> Running in b33e552229b9
Removing intermediate container b33e552229b9
 ---> fc7a3d2b8091
Step 46/57 : ENV PYTHONPATH "${PYTHONPATH}:/workspace/brevitas"
 ---> Running in a016dd17cb91
Removing intermediate container a016dd17cb91
 ---> a8fcf3ca85a1
Step 47/57 : ENV PYTHONPATH "${PYTHONPATH}:/workspace/pyverilator"
 ---> Running in 6767307a63e1
Removing intermediate container 6767307a63e1
 ---> 7e4443ce6faa
Step 48/57 : ENV PYNQSHELL_PATH "/workspace/PYNQ-HelloWorld/boards"
 ---> Running in 05b42d9dc1cf
Removing intermediate container 05b42d9dc1cf
 ---> 336f86960fae
Step 49/57 : WORKDIR /home/$UNAME/finn
 ---> Running in c426e41a435a
Removing intermediate container c426e41a435a
 ---> d75359fba622
Step 50/57 : RUN echo "PS1='\[\033[1;36m\]\u\[\033[1;31m\]@\[\033[1;32m\]\h:\[\033[1;35m\]\w\[\033[1;31m\]\$\[\033[0m\] '" >>  /home/$UNAME/.bashrc
 ---> Running in 9057e4d5bb42
Removing intermediate container 9057e4d5bb42
 ---> 88d50fe94d06
Step 51/57 : RUN echo "source \$VIVADO_PATH/settings64.sh" >> /home/$UNAME/.bashrc
 ---> Running in eeff83633e3f
Removing intermediate container eeff83633e3f
 ---> 95d16841fc88
Step 52/57 : USER root
 ---> Running in 0930112e9065
Removing intermediate container 0930112e9065
 ---> b432fa433116
Step 53/57 : COPY docker/finn_entrypoint.sh /usr/local/bin/
 ---> 1b3c96d8775d
Step 54/57 : RUN chmod 755 /usr/local/bin/finn_entrypoint.sh
 ---> Running in 3039ce325a87
Removing intermediate container 3039ce325a87
 ---> ffbfbf4e601b
Step 55/57 : USER $UNAME
 ---> Running in 10d4e0bb4a1f
Removing intermediate container 10d4e0bb4a1f
 ---> 7aea18ce16c0
Step 56/57 : ENTRYPOINT ["finn_entrypoint.sh"]
 ---> Running in e457b6cc2d97
Removing intermediate container e457b6cc2d97
 ---> 623541d58bfb
Step 57/57 : CMD ["bash"]
 ---> Running in b945b8daad3a
Removing intermediate container b945b8daad3a
 ---> 4c0fecd316fe
Successfully built 4c0fecd316fe
Successfully tagged finn_dev_masaaki:latest
Setting up known-good commit versions for FINN dependencies
brevitas @ 215cf44c76d562339fca368c8c3afee3110033e8
brevitas_cnv_lfc @ 2059f96bd576bf71f32c757e7f92617a70190c90
cnpy @ 4e8810b1a8637695171ed346ce68f6984e585ef4
finn-hlslib @ 6b88db826bb023937506913a23d964775a7606af
PyVerilator @ fb1afefa5b207acf6fec28f8abb72a862f2ca1d2
PYNQ shell @ 0c82a61b0ec1a07fa275a14146233824ded7a13d
/media/masaaki/Ubuntu_Disk/tools/Xilinx/Vivado/2019.2/settings64.sh: line 5: /media/masaaki/Ubuntu_Disk/tools/Xilinx/DocNav/.settings64-DocNav.sh: No such file or directory
/media/masaaki/Ubuntu_Disk/tools/Xilinx/Vivado/2019.2/settings64.sh: line 7: /media/masaaki/Ubuntu_Disk/tools/Xilinx/Vitis/2019.2/.settings64-Vitis.sh: No such file or directory
bash: /media/masaaki/Ubuntu_Disk/tools/Xilinx/DocNav/.settings64-DocNav.sh: No such file or directory
bash: /media/masaaki/Ubuntu_Disk/tools/Xilinx/Vitis/2019.2/.settings64-Vitis.sh: No such file or directory
masaaki@finn_dev_masaaki:/workspace/finn$ 

  1. 2020年05月24日 04:45 |
  2. finn
  3. | トラックバック:0
  4. | コメント:0